/*ESTILOS INDEX*/
@media(min-width: 768px) {
    .busquedaTematicaMenu .item.active {
        background: #e81b16;
        color: white !important;
    }
    .busquedaTematicaMenu .item.active .busquedaTematicaMenu__icon {
        color: #fff !important;
    }
}
[data-toggle="collapse"]:not(.collapsed)~span[class*='caret'] {
    transform: rotate(90deg);
    transition: .4s;
}
/*END OF INDEX*/

/*ESTILOS BUSCADOR AVANZADO*/
.buscador-container {
    width: 100%
    padding-bottom: 2em; 
}
.input-container input::placeholder {
    color: #8B8888;
    font-size: 14px;
}
#destacado-input {
    height: 60px;
    font-size: larger;
    width: 80%;  
}
#destacado-boton {
    font-weight: bolder;
    font-size: larger;
    width: : 100px;
    padding: 14px;
    height: 60px;  
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 5px;   
}
@media only screen and (max-width: 800px) {
    .input-container input::placeholder {
        font-size: 14px;
    }
}
/*END BUSCADOR-AVANZADO*/

/*ESTILOS PARTIALS QUE-HACER*/
.que-hacer-container {
    background-color: #f5f5f5 !important;
}
.que-hacer-container header h2 {
    max-width: 100%;
    padding-top: 0.5em; 
    padding-bottom: 0.5em;
}
.que-hacer-list ul {
    padding-left: 0px; 
    list-style: none; 
    color: #222222; 
    display: grid; 
    grid-template-columns: repeat(2, 1fr); 
    font-size: large;
}
.que-hacer-list ul li {
    margin-bottom: 15px; 
}
.que-hacer-list ul li a:hover {
    text-decoration: underline;
}
@media only screen and (max-width: 800px) {
    .que-hacer-list ul {
        grid-template-columns: repeat(1, 1fr);
    }
}

/*END QUE-HACER*/

/*ESTILOS DESTACADOS*/

.setCustomList h2 {
    font-weight: bold;
}
.setCustomList ul {
    list-style-type: none;
    margin-left: var(--fa-li-margin, 2.5em);
    padding-left: 0;
    margin-left: 0;
}
.setCustomList ul>li {
    position: relative;
    width: 100%;
    text-align: left;
    line-height: inherit;
    margin-bottom: .5em;
}
.setCustomList ul>li:before {
    font-family: "FontAwesome";
    content: '\f105';
    display: inline-block;
    margin-right: 0.5em;
    color: #e81b16;
    white-space: nowrap;
}
.setCustomList a {
    color: inherit;
    color: #737373;
    padding: .5em 0;
}

.setCustomList a:hover {
    color: #e81b16;
}

/*END PARTIALS-DESTACADOS*/

/*ESTILOS POR-TIPO-RECURSO*/
.tipo-recurso  h2 {
    display: flex;
    font-size: 28px; 
    flex-direction: column;
}
.tipo-recurso {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.tipo-recurso-cards-container {
    display: flex;
    gap:20px; 
} 
.tipo-recurso-card {
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    gap:15px; 
    align-items: center; 
    background-color:#f5f5f5; 
    width: 170px; 
    min-height: 190px; 
    margin-bottom: 0px; 
    border: none; 
    font-size: large; 
    color:  #222222; 
    border-radius: 15px; 
    text-align: center;
}
.tipo-recurso-card img {
    width: 60px; 
}
.tipo-recurso-card:hover {
    color:  #DC1914; 
    text-decoration: none;
}

@media only screen and (max-width: 800px) {
    .tipo-recurso {
        flex-direction: column;
        gap:15px;
    }   
    .tipo-recurso h2 {
        flex-direction: row;
        gap:7px;
    }
    .tipo-recurso-cards-container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}
@media only screen and (max-width: 400px) {
    .tipo-recurso-card {
        width: 100%; 
    }   
    .tipo-recurso h2 {
        width: 100%;
        flex-direction: column;
        gap:7px;
    }
    .tipo-recurso-cards-container {
        width: 100%;
        grid-template-columns: repeat(1, 1fr);
    }
}
/*END PARTIALS-POR-TIPO-RECURSO*/

/*ESTILOS HISTORIAS DATOS*/
.historias-datos-container-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.historias-dato-list {
    display: grid;
    gap: 20px;
    list-style: none;
    padding: 0;
    grid-template-columns: repeat(4, 1fr);
    margin: 0;
}
.historia-dato figure {
    aspect-ratio: 16 / 9; 
    margin: 0;
    overflow: hidden;
}
.historia-dato img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.historia-dato a {
    text-decoration: none;
    color: inherit;
}
.historia-dato h3 {
    margin-top: 10px;
    /*font-size: 14px;*/
}
@media only screen and (max-width: 800px) {
    .historias-dato-list {
        grid-template-columns: repeat(1, 1fr);  
    }
    .historias-dato-list h3 {
        font-size: 24px;
    }
}
/*END PARTIALS-HISTORIA-DATOS*/

/*ESTILOS PARTIALS VISORES*/

.visores-container {
    display: flex;
    gap:3px; 
    height: fit-content;
}

.visores-title {
    padding: 10px; 
    background-color:#DC1914; 
    text-align: center; 
    display: flex;
    min-height: 100%;
    width: 15%;
    align-items: center; 
    justify-content: center;
}

.visores-title > span {
    color: #fff;
    vertical-align: middle;
}
.visores-list {
    list-style: none; 
    padding-left: 0px;
    display: grid; 
    gap:3px;
    grid-template-columns: repeat(3, 1fr); 
    width: 100%; 
    margin-bottom: 0px; 
}

.item-visor > a {
    border-radius: 15px; 
    height: 200px;
    display: flex;
    font-weight: bold;
    padding: 10px;
    align-items: flex-end;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    color: #222222;
    position: relative;
    text-decoration: none;
}

.item-visor > a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 55px; 
    background: linear-gradient(90deg, #BE4844 0%, #DC1914 100%);
    z-index: 1;
}

.item-visor .h4 {
    position: relative;
    z-index: 2;
    color: white;
    padding: 10px;
    margin-bottom: 0;
    width: 100%;
}

.item-visor .h4:hover {
    text-decoration: underline;
}

.item-visor .sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
}

#callejero {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/visor-callejero.png');
}

#generico {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/visor-generico.png');
}

#historico {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/visor-historico.png');
}

#ruido {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/visor-ruido.png');
}

#islas {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/visor-islas-calor.png');
}

#visor-indicadores {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/indicadores.png');
}

#sombras {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/visor-sombras.png');
}

#moverse {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/visor-como-moverse.png');
}

#emisiones {
    background-image: url('/cont/vistas/portal/espacio-de-datos/img/visores/visor-emisiones.png');
}

@media only screen and (max-width: 800px) {
    .visores-list {
        grid-template-columns: repeat(1, 1fr);  
    }
}
/*END PARTIALS VISORES*/
